Summary: An Apache module for using Java servlets
Name: jserv
%define version 0.9.11
Version: %{version}
Release: 2
Group: Networking/Daemons

Source: jserv_%{version}.tar.gz

Patch: jserv_%{version}-megaloman.patch
Copyright: Freely distributable and usable
BuildRoot: /var/tmp/jserv-root
# BuildRoot: /tmp/jserv-root
Requires: jdk >= 1.1
Provides: servlets

%description
JServ - An Apache module for using Java servlets
by the Java-Apache group <java-apache@list.working-dogs.com>

%package doc
Summary: JServ documentation
Group: Networking/Daemons

%description doc
This package contains documentation for JServ.

%package src
Summary: An Apache module for using Java servlets
Group: Networking/Daemons

%description src
JServ - An Apache module for using Java servlets
by the Java-Apache group <java-apache@list.working-dogs.com>

To make mod_jserv, read README and INSTALL files in /usr/local/jserv.

%prep
%setup -q -n jserv_%{version}
%patch -p1 -b .megaloman

%build
make ROOT=$RPM_BUILD_ROOT
make doc ROOT=$RPM_BUILD_ROOT

%install
make install ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post

%preun

%files
%defattr(-,root,root)
/usr/local/jserv/classes/*
/usr/local/jserv/servlets/*
/usr/local/jserv/lib/*
%attr(0755,root,root) /etc/profile.d/jserv.*sh
%config /etc/httpd/conf/servlet.properties
%doc /usr/doc/jserv-%{version}/servlet.properties
%doc /usr/doc/jserv-%{version}/CHANGES
%doc /usr/doc/jserv-%{version}/LICENSE
%doc /usr/doc/jserv-%{version}/README*
%doc /usr/doc/jserv-%{version}/TODO
%doc /usr/doc/jserv-%{version}/*.txt

%files doc
%defattr(-,root,root)
%doc /usr/doc/jserv-%{version}/manual/*
%doc /usr/doc/jserv-%{version}/src/*
%doc /usr/doc/jserv-%{version}/perl/*
%doc /usr/doc/jserv-%{version}/doc/*

%changelog
* Fri Nov 13 1998 Peter Hanecak <hanecak@megaloman.sk>
- jserv.properties in /etc/httpd/conf included in package
- using %attr macros so ordinary users should be able to build
- included jserv.sh and jserv.csh in /etc/profile.d
- documentation directory moved where it belongs (to /usr/doc/...)
- html documentation included into doc package

* Fri Oct 10 1998 Peter Hanecak <hanecak@megaloman.sk>
- just make jserv0.9.11 an RPM package

